#### D.15.8.5 grshift

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grshift(A, d), graded objects A, int d

Return:
  shifted graded object

Purpose:
  shift the grading on A by d: A(i) -> A(i+d)

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    module A = grobj( module([x+y, x, 0, 0], [0, x+y, y, 0]), intvec(0,0,0,1) );
    grview(A);
    ==> Graded homomorphism: r^3 + r(-1) <- r(-1)^2, given by a matrix, with degr\
       ees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   - |..1
    ==>   0 :  1   1 |..2
    ==>   0 :  -   1 |..3
    ==>   1 :  -   - |..4
    ==>      === ===
    ==>        1   1
    module S = grshift( A,  6);
    grview(S);
    ==> Graded homomorphism: r(6)^3 + r(5) <- r(5)^2, given by a matrix, with deg\
       rees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>  -6 :  1   - |..1
    ==>  -6 :  1   1 |..2
    ==>  -6 :  -   1 |..3
    ==>  -5 :  -   - |..4
    ==>      === ===
    ==>       -5  -5
    grview( grshift( grzero(), 100 ) ); // does nothing...
    ==> !! Warning: shifting '0 <- 0' leaves it as it unchanged!
    ==> Graded homomorphism: 0 <- 0, given by zero (0^2) matrix.

User manual for Singular version 4.4.1, 2025, generated by texi2html.